# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.591   -> 1.592  
#	drivers/usb/host/usb-uhci.h	1.7     -> 1.8    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/08	greg@kroah.com	1.592
# changed direct access of current->state to set_current_state() call.
# 
# Thanks to Paul Komkoff for reminding me of this.
# --------------------------------------------
#
diff -Nru a/drivers/usb/host/usb-uhci.h b/drivers/usb/host/usb-uhci.h
--- a/drivers/usb/host/usb-uhci.h	Mon Apr  8 15:49:19 2002
+++ b/drivers/usb/host/usb-uhci.h	Mon Apr  8 15:49:19 2002
@@ -11,7 +11,7 @@
 {
 	if(!in_interrupt())
 	{
-		current->state = TASK_UNINTERRUPTIBLE;
+		set_current_state(TASK_UNINTERRUPTIBLE);
 		schedule_timeout(1 + ms * HZ / 1000);
 	}
 	else
